| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Swagger::ObjectBase Class Reference

Base class for the Swagger specification objects, wrapping the vendor extensions. More...

Inheritance diagram for Swagger::ObjectBase:
[legend]

## Public Member Functions
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

Base class for the Swagger specification objects, wrapping the vendor extensions.

## Member Function Documentation

## ◆ constructor()

Swagger::ObjectBase::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing the object

## ◆ initialize()

Swagger::ObjectBase::initialize | ( | hash< auto > | oh | ) |

Initialize.

Parameters

  oh | deserialized hash from the source schema description

## Member Data Documentation

## ◆ vendorExtensions

hash<auto> Swagger::ObjectBase::vendorExtensions

Allows extensions to the Swagger Schema.

The field name MUST begin with `x-`, for example, `x-internal-id`. The value can be `null`, a primitive, an array or an object.